/* Installation of Mozilla 1.0 for OS/2 (IBM VAC++ version)           */
/* Place the Mozilla distribution zip under the name mozilla.zip here */
/* Created: 07.08.2002                                                */
/* 07.13.2002: fixed problem with changing back to previous dir       */

parse arg target source mode

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
product_drv       = value("PRODUCT_DRV"      , ,"OS2ENVIRONMENT")
product_path      = value("PRODUCT_PATH"     , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")

/* check if we are in uninstall mode */
if mode = 'UNINSTALL' then do
	call uninstall
	exit
end

if stream(inst_dir'\mozilla.zip', 'c', 'query exists') = '' then exit 9

/* unzip files */
dest_dir = product_drv'\'product_path
'unzip -o 'inst_dir'\mozilla.zip -d 'dest_dir' >> 'product_log' 2>>&1'

/* create objects */
cdir = directory()
call directory dest_dir'\bin'
'call mozfold.cmd'
call directory cdir

/* install java plug-in */
call SysFileTree target'\mzplugin.exe', 'tmp.', 'FSO'
'echo Found Java 1.3 plug-in in directory: 'tmp.1' >> 'product_log
if tmp.0 > 0 then do
	mozdir = substr(tmp.1, 1, lastpos('\', tmp.1)-1)
	cdir = directory(mozdir)
	tmp.1' -o >> 'product_log' 2>>&1'
	'echo JAVA131MZFiles.Selection=1 > mzuser.rsp'
	'echo JAVA131MZFiles.MZDRV='dest_dir'\bin >> mzuser.rsp'
	cmd_file = 'insmzplg.cmd'
	l = linein(cmd_file)
	call lineout cmd_file
	parse var l w1 w2 w3 w4 rest
	w4 = '/s:'mozdir
	w3 = '/b:'target
	'echo 'w1 w2 w3 w4 rest' > 'cmd_file
	'call 'cmd_file ' >> 'product_log' 2>>&1'
	'copy npoji6.dll 'dest_dir'\bin\plugins\. >> 'product_log' 2>>&1'
	call directory cdir
end

exit

/* uninstall mode */
uninstall:

	/* destroy objects */
	call RxFuncAdd 'SysDestroyObject', 'RexxUtil', 'SysDestroyObject'
	call SysDestroyObject "<MOZILLAFLDR>"

	/* delete files */
	dest_dir = translate(product_drv'\'product_path)
	call RxFuncAdd SysFileTree, RexxUtil, SysFileTree
	call SysFileTree dest_dir'\*', 'tmp.', 'FO',,'**---'
	do q=1 to tmp.0
		/* !!! TODO: unlock first */
		'del 'tmp.q
	end
	'rmdir 'dest_dir

return
